//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2011.01.12 at 11:37:50 AM MEZ 
//


package info.textgrid.lab.workflow.tgwf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://textgrid.info/namespaces/middleware/workflow/tgwf/2011/01}xslparam" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="fromInputLinkId" use="required" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="outputLinkId" use="required" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
 *       &lt;attribute name="stylesheetURI" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "xslparam"
})
@XmlRootElement(name = "output")
public class Output {

    protected List<Xslparam> xslparam;
    @XmlAttribute(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String fromInputLinkId;
    @XmlAttribute(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String outputLinkId;
    @XmlAttribute(required = true)
    @XmlSchemaType(name = "anyURI")
    protected String stylesheetURI;

    /**
     * Gets the value of the xslparam property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the xslparam property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getXslparam().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Xslparam }
     * 
     * 
     */
    public List<Xslparam> getXslparam() {
        if (xslparam == null) {
            xslparam = new ArrayList<Xslparam>();
        }
        return this.xslparam;
    }

    /**
     * Gets the value of the fromInputLinkId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFromInputLinkId() {
        return fromInputLinkId;
    }

    /**
     * Sets the value of the fromInputLinkId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFromInputLinkId(String value) {
        this.fromInputLinkId = value;
    }

    /**
     * Gets the value of the outputLinkId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOutputLinkId() {
        return outputLinkId;
    }

    /**
     * Sets the value of the outputLinkId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOutputLinkId(String value) {
        this.outputLinkId = value;
    }

    /**
     * Gets the value of the stylesheetURI property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStylesheetURI() {
        return stylesheetURI;
    }

    /**
     * Sets the value of the stylesheetURI property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStylesheetURI(String value) {
        this.stylesheetURI = value;
    }

}
